API references
Search documentation... ⌘K
API references
Merchant API

Assign a role to a user in the merchant account

This endpoint allows you to assign an existing role to a user within your merchant account.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/assign-role HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{
user_id: string,
role_id: string?,
}
Returns: boolean
New to Reservepay? Read our guide on how to call endpoints to get started.
Request arguments
user_id string

Required. The ID of the user to whom the role will be assigned. The user must already be a member of the merchant account

role_id string

Optional. The ID of the role to assign to the user. This role must already exist in the merchant account. It will replace any existing role assigned to the user.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.

CODE SAMPLES
curl
Learn how to run these code samples in your terminal by reading our guide.